function EventLoopCoroutine()
    dialogCoroutine = coroutine.create(function()
        loadBackground("res/backgrounds/himmel.png", 0)
        loadMusic("res/music/02 - Chaining.mp3")
        local currentTime = getTime()
        while getTime() - currentTime < 1.5 do
            drawText("Leiblich Pharmaceuticals I", 100, 100, 30)
            coroutine.yield()
        end
        playMusic()
        drawBackground(getScreenWidth()/2, getScreenHeight()/2, 1.68, 0)
        
        dialogBox({
            "[???] What about Sayaka Yukidoh?",
            "[???] Her condition is stable. The experiment is still going, and going well. We've successfully discovered one of her new personalities - Inubushi Keiko.",
            "[???] I see...",
            "[???] You, come here.",
            "[???] What is it?",
            "[???] We need to use more MAO inhibitors in combination with DMT for better effects, I think.",
            "[???] Isn't that dangerous?",
            "[???] It shouldn't be.",
            "[???] Yes, sir."
        }, {})
        while isDialogExecuted() do
            coroutine.yield()
        end
        stopMusic()
        stopDrawBackground(0)
        local currentTime = getTime()
        while getTime() - currentTime < 0.4 do
            coroutine.yield()
        end
        unloadMusic()
        unloadBackground(0)
        loadScript("scripts/SE02.lua")
    end)
end

function EventLoop()
    if dialogCoroutine and coroutine.status(dialogCoroutine) ~= "dead" then
        coroutine.resume(dialogCoroutine)
    end
end

setFont("res/InterTight-Regular.ttf")
EventLoopCoroutine()